#pragma once
#ifndef QTWIDGETSCLASS_SCAN_H
#define QTWIDGETSCLASS_SCAN_H

#include "AllHead.h"
#include <QWidget>
#include "ui_QtWidgetsClass_Scan.h"

class QtWidgetsClass_Scan : public QWidget, public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT

public slots:
	void FEKOSimulationDataparamsChanged_slots();
public:
	void bandingsetFEKOSimulationDataparams() override;

public:
	QtWidgetsClass_Scan(QWidget *parent = nullptr);
	~QtWidgetsClass_Scan();
signals:
	void OKClick( );
public slots:
	void on_pushButton_OK_clicked();
private:
	Ui::QtWidgetsClass_ScanClass ui;
};




#endif